/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Initial Developer of the Original Code is
 *  William Liao <liao@pie.com.tw>.
 * Portions created by the Initial Developer are Copyright (C) 2004
 * the Initial Developer. All Rights Reserved.
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */
var gM2kLogin = null;

function m2kLoginLoad()
{
  gM2kLogin = new mail2kLogin();
  gM2kLogin.init();
}

function m2kLoginUnload()
{
  gM2kLogin.destroy();
  gM2kLogin = null;
}

function mail2kLogin()
{
  return this;
}

mail2kLogin.prototype =
{
	gM2kLoginParent: null,
	
	init: function()
	{
		gM2kLoginParent = window.opener.gM2kNotifier;
		this.fillForm();
	},
	
	destroy: function()
	{
		gM2kLoginParent = null;
	},
	
	fillForm: function()
	{
		if (gM2kLoginParent.mBranch.getBoolPref("pref.customized-server"))
		{
			//Close Menu
			document.getElementById("m2k.login.server-hbox").setAttribute ("collapsed", "true");
			document.getElementById("m2k.login.customized-loginserver-hbox").removeAttribute ("collapsed");
			document.getElementById("m2k.login.customized-loginserver").value = gM2kLoginParent.mBranch.getCharPref("pref.server");
		}
		else
		{
			//Use Menu
			document.getElementById("m2k.login.customized-loginserver-hbox").setAttribute ("collapsed", "true");
			document.getElementById("m2k.login.server-hbox").removeAttribute ("collapsed");
			document.getElementById("m2k.login.server").selectedItem = document.getElementById(gM2kOptParent.mBranch.getCharPref("pref.server"));
		}
		document.getElementById("m2k.login.customized-server").checked = gM2kLoginParent.mBranch.getBoolPref("pref.customized-server");
		document.getElementById("m2k.login.server").selectedItem = document.getElementById(gM2kLoginParent.mBranch.getCharPref("pref.server"));
		document.getElementById("m2k.login.userid").value = gM2kLoginParent.mBranch.getCharPref("pref.userid");
	},
	
	accept: function()
	{
		gM2kLoginParent.mProfileIsLoaded = false;
		if (document.getElementById("m2k.login.customized-server").checked)
		{
			gM2kLoginParent.mBranch.setCharPref("pref.server", document.getElementById("m2k.login.customized-loginserver").value);
		}
		else
		{
			gM2kLoginParent.mBranch.setCharPref("pref.server", document.getElementById("m2k.login.server").value);
		}
		gM2kLoginParent.mBranch.setCharPref("pref.userid", document.getElementById("m2k.login.userid").value);
		gM2kLoginParent.mBranch.setBoolPref("pref.customized-server", document.getElementById("m2k.login.customized-server").checked);
		gM2kLoginParent.PASSWD = document.getElementById("m2k.login.passwd").value;
		gM2kLoginParent.mProfileIsLoaded = true;
		if (document.getElementById("m2k.login.remember").checked)
		{
			gM2kLoginParent.mBranch.setBoolPref("pref.remember", true);
			gM2kLoginParent.passManager ("add");
		}
		gM2kLoginParent.LOGGED_IN = true;
		gM2kLoginParent.resetMsgStatus();
		gM2kLoginParent.setupShortInterval(1000);
	},
		
	chkCustomizedServer: function ()
	{
		if (document.getElementById("m2k.login.customized-server").checked == true)
		{
			//Close Menu
			document.getElementById("m2k.login.server-hbox").setAttribute ("collapsed", "true");
			document.getElementById("m2k.login.customized-loginserver-hbox").removeAttribute ("collapsed");
			document.getElementById("m2k.login.customized-loginserver").value = gM2kLoginParent.mBranch.getCharPref("pref.server");
		}
		else
		{
			//Use Menu
			document.getElementById("m2k.login.customized-loginserver-hbox").setAttribute ("collapsed", "true");
			document.getElementById("m2k.login.server-hbox").removeAttribute ("collapsed");
			document.getElementById("m2k.login.server").selectedItem = document.getElementById(gM2kLoginParent.mBranch.getCharPref("pref.server"));
		}
	},
}